"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialState = void 0;
const actions_1 = require("./actions");
exports.initialState = {
    answers: [],
    answerInputs: {},
    isLastAnswer: false,
};
function answerInputReducer(state, action) {
    return Object.assign(Object.assign({}, state), { [String(action.payload.questionId)]: action.payload.input });
}
function quizLocalReducer(state, action) {
    var _a, _b, _c, _d, _e, _f;
    switch (action.type) {
        case actions_1.QuestionTypes.OpenText:
            return Object.assign(Object.assign({}, state), { answers: [...state.answers, ['true']], answerInputs: answerInputReducer(state.answerInputs, action), isLastAnswer: !!((_a = action.payload) === null || _a === void 0 ? void 0 : _a.isLastQuestion) });
        case actions_1.QuestionTypes.Cover:
            return Object.assign(Object.assign({}, state), { answers: [...state.answers, ['seen']], isLastAnswer: !!((_b = action.payload) === null || _b === void 0 ? void 0 : _b.isLastQuestion) });
        case actions_1.QuestionTypes.SingleSelect:
            return Object.assign(Object.assign({}, state), { answers: [...state.answers, (_c = action.payload) === null || _c === void 0 ? void 0 : _c.input], answerInputs: answerInputReducer(state.answerInputs, action), isLastAnswer: !!((_d = action.payload) === null || _d === void 0 ? void 0 : _d.isLastQuestion) });
        case actions_1.QuestionTypes.MultipleSelect:
            return Object.assign(Object.assign({}, state), { answers: [...state.answers, (_e = action.payload) === null || _e === void 0 ? void 0 : _e.input], answerInputs: answerInputReducer(state.answerInputs, action), isLastAnswer: !!((_f = action.payload) === null || _f === void 0 ? void 0 : _f.isLastQuestion) });
        case actions_1.QuestionTypes.Back:
            return Object.assign(Object.assign({}, state), { answers: [...state.answers.slice(0, -1)], isLastAnswer: false });
        case actions_1.QuestionTypes.Reset:
            return Object.assign({}, exports.initialState);
        case actions_1.QuestionTypes.Hydrate:
            return Object.assign(Object.assign({}, state), action.payload);
        default:
            return state;
    }
}
exports.default = quizLocalReducer;
