"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useConsoleErrors = (quizId, resultsPageOptions) => {
    (0, react_1.useEffect)(() => {
        if (!quizId) {
            // eslint-disable-next-line no-console
            console.error('quizId is a required field of type string');
        }
        if (!resultsPageOptions || Object.keys(resultsPageOptions).length === 0) {
            // eslint-disable-next-line no-console
            console.error('resultsPageOptions is a required field of type object');
        }
        if (resultsPageOptions && !(resultsPageOptions === null || resultsPageOptions === void 0 ? void 0 : resultsPageOptions.onAddToCartClick)) {
            // eslint-disable-next-line no-console
            console.error('resultsPageOptions.onAddToCartClick is a required field of type function');
        }
    }, [quizId, resultsPageOptions, resultsPageOptions === null || resultsPageOptions === void 0 ? void 0 : resultsPageOptions.onAddToCartClick]);
};
exports.default = useConsoleErrors;
