"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const services_1 = require("../../services");
const utils_1 = require("../../utils");
const useQuizAddToCart = (cioClient, quizApiState, onAddToCartClick) => {
    const addToCartClickHandler = (0, react_1.useCallback)((e, result, price) => {
        e.preventDefault();
        if (quizApiState.quizResults) {
            // Tracking call
            (0, services_1.trackQuizConversion)(cioClient, quizApiState.quizResults, result, price);
            // User custom callback function
            if ((0, utils_1.isFunction)(onAddToCartClick)) {
                onAddToCartClick(result);
            }
        }
    }, [quizApiState, cioClient, onAddToCartClick]);
    return addToCartClickHandler;
};
exports.default = useQuizAddToCart;
