"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const services_1 = require("../../services");
const utils_1 = require("../../utils");
const useQuizResultClick = (cioClient, quizApiState, onQuizResultClick) => {
    const resultClickHandler = (0, react_1.useCallback)((result, position) => {
        if (quizApiState.quizResults) {
            // Tracking call
            (0, services_1.trackQuizResultClick)(cioClient, quizApiState.quizResults, result, position);
            // User custom callback function
            if ((0, utils_1.isFunction)(onQuizResultClick)) {
                onQuizResultClick(result, position);
            }
        }
    }, [quizApiState, cioClient, onQuizResultClick]);
    return resultClickHandler;
};
exports.default = useQuizResultClick;
