import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
const useQuizNextClick = (quizApiState, dispatchLocalState) => {
    const quizNextHandler = useCallback((payload) => {
        const questionType = quizApiState.quizCurrentQuestion?.next_question.type;
        const currentQuestion = quizApiState.quizCurrentQuestion;
        switch (questionType) {
            case QuestionTypes.Cover:
                dispatchLocalState({
                    type: QuestionTypes.Cover,
                    payload: {
                        isLastQuestion: currentQuestion.is_last_question,
                    },
                });
                break;
            case QuestionTypes.OpenText:
                dispatchLocalState({
                    type: QuestionTypes.OpenText,
                    payload: {
                        questionId: currentQuestion.next_question.id,
                        input: payload,
                        isLastQuestion: currentQuestion.is_last_question,
                    },
                });
                break;
            case QuestionTypes.SingleSelect:
            case QuestionTypes.MultipleSelect:
                dispatchLocalState({
                    type: currentQuestion.next_question.type === QuestionTypes.SingleSelect
                        ? QuestionTypes.SingleSelect
                        : QuestionTypes.MultipleSelect,
                    payload: {
                        questionId: currentQuestion.next_question.id,
                        input: payload,
                        isLastQuestion: currentQuestion.is_last_question,
                    },
                });
                break;
            default:
                break;
        }
    }, [quizApiState, dispatchLocalState]);
    return quizNextHandler;
};
export default useQuizNextClick;
