/// <reference types="react" />
import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { ActionAnswerQuestion } from '../../components/CioQuiz/actions';
import { QuizAPIReducerState } from '../../components/CioQuiz/quizApiReducer';
import { QuizEventsReturn, ResultsPageOptions } from '../../types';
export type UseQuizEventOptions = {
    cioClient: ConstructorIOClient;
    quizApiState: QuizAPIReducerState;
    resultsPageOptions: ResultsPageOptions;
    dispatchLocalState: React.Dispatch<ActionAnswerQuestion>;
    resetQuizApiState: () => void;
    resetQuizLocalState: () => void;
    hydrateQuizLocalState: () => void;
    resetQuizStoredState: () => void;
    hasQuizStoredState: () => boolean;
};
declare const useQuizEvents: (options: UseQuizEventOptions) => QuizEventsReturn;
export default useQuizEvents;
