import { FilterExpression } from '@constructor-io/constructorio-client-javascript/lib/types';
import { QuestionTypes } from './components/CioQuiz/actions';
import { PrimaryColorStyles, QuestionImages } from './types';
export declare const renderImages: (images: Partial<QuestionImages>, cssClasses?: string) => JSX.Element | "";
export declare const getStoryParams: (storyCode: any, templateCode: any, importCode: any) => {
    docs: {
        source: {
            code: string;
            language: string;
            format: boolean;
            type: string;
        };
    };
};
export declare const defaultOnAddToCartClickCode = "\"onAddToCartClick\": (item) => console.dir(item)";
export declare const defaultOnQuizResultClickCode = "\"onQuizResultClick\": (result, position) => console.dir(result, position)";
export declare const defaultOnQuizResultsLoadedCode = "\"onQuizResultsLoaded\": (results) => console.dir(results)";
export declare const stringifyWithDefaults: (obj: {
    cioJsClient?: any;
    resultsPageOptions: {
        onAddToCartClick: any;
        onQuizResultClick: any;
        onQuizResultsLoaded: any;
    };
}) => string;
export declare const stringify: (obj: any) => string;
export declare const getQuestionTypes: (questionType?: `${QuestionTypes}`) => {
    isOpenQuestion: boolean;
    isCoverQuestion: boolean;
    isSingleQuestion: boolean;
    isMultipleQuestion: boolean;
    isSelectQuestion: boolean;
};
export declare function getPreferredColorScheme(): string;
export declare function isFunction(fn: any): boolean;
export declare const getFilterValuesFromExpression: (exp: FilterExpression | null) => string[];
export declare function rgbToHsl(r: number, g: number, b: number): number[];
export declare function convertPrimaryColorsToString(primaryColorStyles: PrimaryColorStyles): string;
